<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Edible_Base/Bottle_Base/Cauldron.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d0e/_cauldron_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Cauldron.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d0e/_cauldron_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>Cauldron <span class="keyword">extends</span> <a class="code hl_class" href="../../da/d60/class_bottle___base.html">Bottle_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a544cf61943a3e894e159be63e8962b03">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a544cf61943a3e894e159be63e8962b03">Cauldron</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a7966b824a431719f6c128b7e18975c0f">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a7966b824a431719f6c128b7e18975c0f">~Cauldron</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#acda7f9e21ad3cd62a899ad494ae24fd8">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#acda7f9e21ad3cd62a899ad494ae24fd8">IsContainer</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#aeca58e5fa8d595e71918cdc0c25b6eba">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#aeca58e5fa8d595e71918cdc0c25b6eba">GetPouringSoundset</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;emptyVessle_Pot_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a2ca28c12439291feabcaff98478b5bc2">   23</a></span>        <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a2ca28c12439291feabcaff98478b5bc2">GetEmptyingLoopSoundsetHard</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_HardGround_Pot_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#abfa1ef8d35d8f7a29ad6abe633e644af">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#abfa1ef8d35d8f7a29ad6abe633e644af">GetEmptyingLoopSoundsetSoft</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_SoftGround_Pot_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a247e05017fac7d54bb8935e087713395">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a247e05017fac7d54bb8935e087713395">GetEmptyingLoopSoundsetWater</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_Water_Pot_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#adc99ec254181404e26e577866ec9d9f6">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#adc99ec254181404e26e577866ec9d9f6">GetEmptyingEndSoundsetHard</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_End_HardGround_Pot_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a4c692656fcc136633cff7c39e321bc30">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a4c692656fcc136633cff7c39e321bc30">GetEmptyingEndSoundsetSoft</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_End_SoftGround_Pot_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a0991b6f0d1449cf87efa7081feb67ad0">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a0991b6f0d1449cf87efa7081feb67ad0">GetEmptyingEndSoundsetWater</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;pour_End_Water_Pot_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a5d69bc19a43d86d25a359505a72adbaa">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a5d69bc19a43d86d25a359505a72adbaa">CanPutInCargo</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> ( !super.CanPutInCargo( parent ) )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span> ( parent &amp;&amp; <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a7003f64beed6dc2e755d4f55ec999cb9">IsCargoException4x3</a>( parent ) )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a1714e021d257304b72a4d3a4545ada4c">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a1714e021d257304b72a4d3a4545ada4c">CanReceiveItemIntoCargo</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> ( !super.CanReceiveItemIntoCargo( item ) )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a7003f64beed6dc2e755d4f55ec999cb9">IsCargoException4x3</a>( item ) )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a5f6b534a42c7dcba1860e2f48ab60b2b">   75</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a5f6b534a42c7dcba1860e2f48ab60b2b">CanLoadItemIntoCargo</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">if</span> ( !super.CanLoadItemIntoCargo( item ) )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a7003f64beed6dc2e755d4f55ec999cb9">IsCargoException4x3</a>( item ) )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#af24e4bbb4888c7c564b0cbb649d66f93">   86</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#af24e4bbb4888c7c564b0cbb649d66f93">IsOpen</a>()</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a0cd9a4b04e10a1fd6af95d9ebb361170">   91</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a0cd9a4b04e10a1fd6af95d9ebb361170">CanHaveWetness</a>()</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../da/d60/class_bottle___base.html#a19fdce323da9f2a060e919ddf57e0397">   96</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d60/class_bottle___base.html#a19fdce323da9f2a060e919ddf57e0397">SetActions</a>()</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        super.SetActions();</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a119172381c56c8bb0a629326e9998abd">RemoveAction</a>(<a class="code hl_class" href="../../d5/dc1/class_action_drink.html">ActionDrink</a>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a119172381c56c8bb0a629326e9998abd">RemoveAction</a>(<a class="code hl_class" href="../../d8/d4b/class_action_empty_bottle_base.html">ActionEmptyBottleBase</a>);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d5/de4/class_action_fill_bottle_base.html">ActionFillBottleBase</a>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d1/dd9/class_action_water_garden_slot.html">ActionWaterGardenSlot</a>);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/de7/class_action_water_plant.html">ActionWaterPlant</a>);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d8/d20/class_action_force_drink.html">ActionForceDrink</a>);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d5/d20/class_action_drain_liquid.html">ActionDrainLiquid</a>);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d0/dd9/class_action_pour_liquid.html">ActionPourLiquid</a>);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="comment">//AddAction(ActionTransferLiquid);</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d3/d60/class_action_empty_cooking_pot.html">ActionEmptyCookingPot</a>);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../dc/ddf/class_action_drink_cooking_pot.html">ActionDrinkCookingPot</a>);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a119172381c56c8bb0a629326e9998abd"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a119172381c56c8bb0a629326e9998abd">RemoveAction</a></div><div class="ttdeci">void RemoveAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00252">AdvancedCommunication.c:252</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a7003f64beed6dc2e755d4f55ec999cb9"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a7003f64beed6dc2e755d4f55ec999cb9">IsCargoException4x3</a></div><div class="ttdeci">bool IsCargoException4x3(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09422">ItemBase.c:9422</a></div></div>
<div class="ttc" id="aclass_action_drain_liquid_html"><div class="ttname"><a href="../../d5/d20/class_action_drain_liquid.html">ActionDrainLiquid</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc2/_action_drain_liquid_8c_source.html#l00011">ActionDrainLiquid.c:12</a></div></div>
<div class="ttc" id="aclass_action_drink_cooking_pot_html"><div class="ttname"><a href="../../dc/ddf/class_action_drink_cooking_pot.html">ActionDrinkCookingPot</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d13/_action_drink_cooking_pot_8c_source.html#l00001">ActionDrinkCookingPot.c:2</a></div></div>
<div class="ttc" id="aclass_action_drink_html"><div class="ttname"><a href="../../d5/dc1/class_action_drink.html">ActionDrink</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dfe/_action_drink_8c_source.html#l00009">ActionDrink.c:10</a></div></div>
<div class="ttc" id="aclass_action_empty_bottle_base_html"><div class="ttname"><a href="../../d8/d4b/class_action_empty_bottle_base.html">ActionEmptyBottleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/da8/_action_empty_bottle_base_8c_source.html#l00013">ActionEmptyBottleBase.c:14</a></div></div>
<div class="ttc" id="aclass_action_empty_cooking_pot_html"><div class="ttname"><a href="../../d3/d60/class_action_empty_cooking_pot.html">ActionEmptyCookingPot</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d29/_action_empty_cooking_pot_8c_source.html#l00001">ActionEmptyCookingPot.c:2</a></div></div>
<div class="ttc" id="aclass_action_fill_bottle_base_html"><div class="ttname"><a href="../../d5/de4/class_action_fill_bottle_base.html">ActionFillBottleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/de6/_action_fill_bottle_base_8c_source.html#l00021">ActionFillBottleBase.c:22</a></div></div>
<div class="ttc" id="aclass_action_force_drink_html"><div class="ttname"><a href="../../d8/d20/class_action_force_drink.html">ActionForceDrink</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9d/_action_force_drink_8c_source.html#l00009">ActionForceDrink.c:10</a></div></div>
<div class="ttc" id="aclass_action_pour_liquid_html"><div class="ttname"><a href="../../d0/dd9/class_action_pour_liquid.html">ActionPourLiquid</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_action_pour_liquid_8c_source.html#l00011">ActionPourLiquid.c:12</a></div></div>
<div class="ttc" id="aclass_action_water_garden_slot_html"><div class="ttname"><a href="../../d1/dd9/class_action_water_garden_slot.html">ActionWaterGardenSlot</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dca/_action_water_garden_slot_8c_source.html#l00011">ActionWaterGardenSlot.c:12</a></div></div>
<div class="ttc" id="aclass_action_water_plant_html"><div class="ttname"><a href="../../d4/de7/class_action_water_plant.html">ActionWaterPlant</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfc/_action_water_plant_8c_source.html#l00011">ActionWaterPlant.c:12</a></div></div>
<div class="ttc" id="aclass_bottle___base_html"><div class="ttname"><a href="../../da/d60/class_bottle___base.html">Bottle_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d8d/_canister_gasoline_8c_source.html#l00001">CanisterGasoline.c:2</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a0991b6f0d1449cf87efa7081feb67ad0"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a0991b6f0d1449cf87efa7081feb67ad0">Bottle_Base::GetEmptyingEndSoundsetWater</a></div><div class="ttdeci">override string GetEmptyingEndSoundsetWater()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00048">Cauldron.c:48</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a0cd9a4b04e10a1fd6af95d9ebb361170"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a0cd9a4b04e10a1fd6af95d9ebb361170">Bottle_Base::CanHaveWetness</a></div><div class="ttdeci">override bool CanHaveWetness()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00091">Cauldron.c:91</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a1714e021d257304b72a4d3a4545ada4c"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a1714e021d257304b72a4d3a4545ada4c">Bottle_Base::CanReceiveItemIntoCargo</a></div><div class="ttdeci">override bool CanReceiveItemIntoCargo(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00064">Cauldron.c:64</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a19fdce323da9f2a060e919ddf57e0397"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a19fdce323da9f2a060e919ddf57e0397">Bottle_Base::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00096">Cauldron.c:96</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a247e05017fac7d54bb8935e087713395"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a247e05017fac7d54bb8935e087713395">Bottle_Base::GetEmptyingLoopSoundsetWater</a></div><div class="ttdeci">override string GetEmptyingLoopSoundsetWater()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00033">Cauldron.c:33</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a2ca28c12439291feabcaff98478b5bc2"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a2ca28c12439291feabcaff98478b5bc2">Bottle_Base::GetEmptyingLoopSoundsetHard</a></div><div class="ttdeci">override string GetEmptyingLoopSoundsetHard()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00023">Cauldron.c:23</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a4c692656fcc136633cff7c39e321bc30"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a4c692656fcc136633cff7c39e321bc30">Bottle_Base::GetEmptyingEndSoundsetSoft</a></div><div class="ttdeci">override string GetEmptyingEndSoundsetSoft()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00043">Cauldron.c:43</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a544cf61943a3e894e159be63e8962b03"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a544cf61943a3e894e159be63e8962b03">Bottle_Base::Cauldron</a></div><div class="ttdeci">void Cauldron()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00003">Cauldron.c:3</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a5d69bc19a43d86d25a359505a72adbaa"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a5d69bc19a43d86d25a359505a72adbaa">Bottle_Base::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00053">Cauldron.c:53</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a5f6b534a42c7dcba1860e2f48ab60b2b"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a5f6b534a42c7dcba1860e2f48ab60b2b">Bottle_Base::CanLoadItemIntoCargo</a></div><div class="ttdeci">override bool CanLoadItemIntoCargo(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00075">Cauldron.c:75</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_a7966b824a431719f6c128b7e18975c0f"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#a7966b824a431719f6c128b7e18975c0f">Bottle_Base::~Cauldron</a></div><div class="ttdeci">void ~Cauldron()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00008">Cauldron.c:8</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_abfa1ef8d35d8f7a29ad6abe633e644af"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#abfa1ef8d35d8f7a29ad6abe633e644af">Bottle_Base::GetEmptyingLoopSoundsetSoft</a></div><div class="ttdeci">override string GetEmptyingLoopSoundsetSoft()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00028">Cauldron.c:28</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_acda7f9e21ad3cd62a899ad494ae24fd8"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#acda7f9e21ad3cd62a899ad494ae24fd8">Bottle_Base::IsContainer</a></div><div class="ttdeci">override bool IsContainer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00013">Cauldron.c:13</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_adc99ec254181404e26e577866ec9d9f6"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#adc99ec254181404e26e577866ec9d9f6">Bottle_Base::GetEmptyingEndSoundsetHard</a></div><div class="ttdeci">override string GetEmptyingEndSoundsetHard()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00038">Cauldron.c:38</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_aeca58e5fa8d595e71918cdc0c25b6eba"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#aeca58e5fa8d595e71918cdc0c25b6eba">Bottle_Base::GetPouringSoundset</a></div><div class="ttdeci">override string GetPouringSoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00018">Cauldron.c:18</a></div></div>
<div class="ttc" id="aclass_bottle___base_html_af24e4bbb4888c7c564b0cbb649d66f93"><div class="ttname"><a href="../../da/d60/class_bottle___base.html#af24e4bbb4888c7c564b0cbb649d66f93">Bottle_Base::IsOpen</a></div><div class="ttdeci">override bool IsOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0e/_cauldron_8c_source.html#l00086">Cauldron.c:86</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_10f6392f0ea96a77d71bf5a7e1dc9fd9.html">Edible_Base</a></li><li class="navelem"><a class="el" href="../../dir_dc152a176c5e295648c45fe72ff2c66d.html">Bottle_Base</a></li><li class="navelem"><a class="el" href="../../d3/d0e/_cauldron_8c.html">Cauldron.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
